Bug 1858545 - CubicSDR must be rebuilt for hamlib
Summary: CubicSDR must be rebuilt for hamlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CubicSDR
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-19 06:01 UTC by Elliott Sales de Andrade
Modified: 2020-10-07 20:45 UTC (History)
4 users (show)

Fixed In Version: CubicSDR-0.2.4-3.20180806gita7e4d91.fc31.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-07 20:45:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-07-19 06:01:20 UTC
$ podman run --rm -it fedora:31
# dnf install CubicSDR

will install CubicSDR 0.2.4-3.20180806gita7e4d91.fc31 and hamlib 3.3-6.fc31.

However, the latest version of hamlib is 4.0-0.1.fc31.20200330gitd92da8aab2. If you then try to update hamlib, it causes conflicts:

# dnf update hamlib
Dependencies resolved.

 Problem: problem with installed package CubicSDR-0.2.4-3.20180806gita7e4d91.fc31.x86_64
  - package CubicSDR-0.2.4-3.20180806gita7e4d91.fc31.x86_64 requires libhamlib.so.2()(64bit), but none of the providers can be installed
  - cannot install both hamlib-4.0-0.6.fc31.20200615git779cd69287.x86_64 and hamlib-3.3-6.fc31.x86_64
  - cannot install both hamlib-3.3-6.fc31.x86_64 and hamlib-4.0-0.6.fc31.20200615git779cd69287.x86_64
  - cannot install the best update candidate for package hamlib-3.3-6.fc31.x86_64
====================================================================================================
 Package         Architecture    Version                                     Repository        Size
====================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 hamlib          x86_64          4.0-0.6.fc31.20200615git779cd69287          updates          919 k

Transaction Summary
====================================================================================================
Skip  1 Package

Nothing to do.
Complete!


Version-Release number of selected component (if applicable):
CubicSDR-0.2.4-3.20180806gita7e4d91.fc31

Comment 1 Fedora Update System 2020-09-29 03:43:14 UTC
FEDORA-2020-cf2d217cf1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cf2d217cf1

Comment 2 Matt Domsch 2020-09-29 03:44:57 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=52427696 has the rebuilt packages to test prior to hitting updates-testing.

Comment 3 Fedora Update System 2020-09-30 01:21:42 UTC
FEDORA-2020-cf2d217cf1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cf2d217cf1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cf2d217cf1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-10-07 20:45:14 UTC
FEDORA-2020-cf2d217cf1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.